Package com.pixelmed.query

## Class QueryTreeRecord.OurResponseIdentifierHandler

- java.lang.Object
- - com.pixelmed.network.IdentifierHandler
  - - com.pixelmed.query.QueryTreeRecord.OurResponseIdentifierHandler

- Enclosing class:
    QueryTreeRecord

      protected class QueryTreeRecord.OurResponseIdentifierHandler
      extends IdentifierHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected InformationEntity` | `ie` |
    `protected QueryTreeRecord` | `parentNode` |
    `protected AttributeTag` | `uniqueKeyTagFromThisLevel` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OurResponseIdentifierHandler​(QueryTreeRecord parentNode, InformationEntity ie, AttributeTag uniqueKeyTagFromThisLevel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doSomethingWithIdentifier​(AttributeList responseIdentifier)` | Called when a response identifier has been received.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ie

          protected InformationEntity ie

    - #### uniqueKeyTagFromThisLevel

          protected AttributeTag uniqueKeyTagFromThisLevel

    - #### parentNode

          protected QueryTreeRecord parentNode

  - ### Constructor Detail

    - #### OurResponseIdentifierHandler

          public OurResponseIdentifierHandler​(QueryTreeRecord parentNode,
                                              InformationEntity ie,
                                              AttributeTag uniqueKeyTagFromThisLevel)

      Parameters:
        `parentNode` -
        `ie` -
        `uniqueKeyTagFromThisLevel` -

  - ### Method Detail

    - #### doSomethingWithIdentifier

          public void doSomethingWithIdentifier​(AttributeList responseIdentifier)
                                         throws DicomException

      Description copied from class: `IdentifierHandler`

      Called when a response identifier has been received.

      Overrides:
        `doSomethingWithIdentifier` in class `IdentifierHandler`
      Parameters:
        `responseIdentifier` -
      Throws:
        `DicomException`